### Type Parameters

### Hierarchy

- gmfPrintOptions

## Index

### Properties

- defaultLayout
- fieldValues
- goodnessOfFit
- hiddenAttributes
- legend
- rotateMask
- scaleInput

## Properties

### defaultLayout

defaultLayout: string

- Defined in src/options.js:601

### fieldValues

fieldValues: Object

- Defined in src/options.js:604

optional. Key, value object to define default value in each of your print panel field. The key refers to the property's name of the field. Example: {'comments': 'demo', 'legend': false}. Doesn't work for the DPI and the scale. Server's values are used in priority.

### goodnessOfFit

goodnessOfFit: number

- Defined in src/options.js:600

### hiddenAttributes

hiddenAttributes: string[]

- Defined in src/options.js:608

The list of attributes that should be hidden.

### legend

legend: OptionsLegendType

- Defined in src/options.js:599

Options used to build the legend.

### rotateMask

rotateMask: boolean

- Defined in src/options.js:602

True to apply rotation on the mask instead of the map. By default, the map rotates.

### scaleInput

scaleInput: boolean

- Defined in src/options.js:598

Generated using TypeDoc